#!/bin/sh

## This script get the SKK dictionaries from 
## http://openlab.ring.gr.jp/skk/dic/
## and generate the tarball for PCLinuxOS.
##
## This script require wget.
##
## 2016-07-22

mkdir -p skkdic-tmp
pushd skkdic-tmp

wget -N -r -nH -np --cut-dirs=3 \
  -R 'index.html*' \
  -R '*.gz.md5' \
  http://openlab.jp/skk/dic/

rm -f robots.txt
rm -f SKK-JISYO.M.gz SKK-JISYO.ML.gz SKK-JISYO.S.gz
rm -f SKK-JISYO.wrong.*

DATE=$(stat SKK-JISYO.L.gz | grep Modify | sed -e 's/^Modify: \([0-9]\+\)-\([0-9]\+\)-\([0-9]\+\).*/\1\2\3/')

popd

mv skkdic-tmp skkdic-${DATE}
tar caf skkdic-${DATE}.tar.xz skkdic-${DATE}

exit 0
