##  for PCLinuxOS  ##

%define dict_date 20171231
%define ver %{dict_date}
%define rel 1.nora18

%define make_latest_zipcode 0

Name:    skkdic
Summary: SKK Dictionaries for Japanese
Summary(ja): SKK辞書 
Version: %{ver}
Release: %{rel}
Group:   System/Internationalization
License: GPL
URL:     http://openlab.ring.gr.jp/skk/

Source0:  %{name}-%{version}.tar.xz
Source10: get-skkdic.sh

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
%if %{make_latest_zipcode}
BuildRequires: emacs, wget
BuildRequires: skktools
%endif

%description
SKK dictionaries for Japanese.
SKK is a Simple Kana-to-Kanji conversion program.

See below page about SKK dictionary.
http://openlab.jp/skk/wiki/wiki.cgi?page=SKK%BC%AD%BD%F1

%description -l ja
SKK辞書。

各辞書に付いては下記のページを参照してください。
http://openlab.jp/skk/wiki/wiki.cgi?page=SKK%BC%AD%BD%F1


%prep
%setup -q

gzip -d *
tar -xf SKK-JISYO.edict.tar
tar -xf zipcode.tar
rm -f *.tar

mkdir -p DOCS/zipcode
pushd zipcode
cp configure* Makefile.in README.ja ZIPCODE-MK words.zipcode ../DOCS/zipcode/
popd


%build
%if %{make_latest_zipcode}
pushd zipcode
./configure
make batch
popd
%endif


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/skk
install -m 644 SKK-JISYO.* $RPM_BUILD_ROOT%{_datadir}/skk/
install -m 644 zipcode/SKK-JISYO.* $RPM_BUILD_ROOT%{_datadir}/skk/


%files
%defattr(-,root,root)
%doc DOCS/* edict_doc.txt
%{_datadir}/skk/*


%changelog
* Wed Jan 03 2018 tomcat <> 20171231-1
- update to 20171231

* Thu Jul 06 2017 tomcat <> 20170702-1
- update to 20170702

* Fri Jul 22 2016 tomcat <> 20160515-1
- update to 20160515

* Sun Feb 07 2016 tomcat <> 20160207-1
- update to 20160207

* Sun Nov 22 2015 tomcat <> 20151122-1
- update to 20151122

* Wed Nov 18 2015 tomcat <> 20151115-1
- update to 20151115

* Fri May 15 2015 tomcat <> 20150516T1523-1
- update to 20150516T1523

* Wed Dec 31 2014 tomcat <> 20141230-1.nora15
- update to 20141230
- drop Source11

* Mon Jul 07 2014 tomcat <> 20140707-1.nora14
- update to 20140707
- add Source11 (unannotation.awk)
- zipcode data update to 201406

* Sun Mar 03 2013 tomcat <> 20130303-1.T0037nora13
- update to 20130303
- add BR:skktools
- zipcode update to 20130228

* Mon Feb 11 2013 tomcat <> 20130210-1.T2359nora13
- update to 20130210
- update Source10
    remove SKK-JISYO.edict from tarball

* Tue Feb 05 2013 tomcat <> 20130205-1.T1538nora13
- update to 20130205
- add Source10 (to create source tarball)
- make latest zipcode into %%build section
    zipcode update to 20130131

* Fri Feb 01 2013 tomcat <> 20120902-1nora13
- update to 20120902

* Sun Dec 04 2010 Texstar <texstar at gmail.com> 20070529-2pclos2010
- rebuild for 2010
